use Math::Trig;
### ----------------------------------------------------------------------------
my $a        = 63.78137;
my $k        = 0.9996;
### ----------------------------------------------------------------------------
sub Geo2Rect {
  my ($lambda, $phi) = @_;
  $phi    = deg2rad($phi);
  $lambda = deg2rad($lambda+20);
  my $x = 0.5*$k*$a*log((1 + sin($lambda)*cos($phi))/(1-sin($lambda)*cos($phi)));
  my $y = $k*$a*atan2(tan($phi),cos($lambda));
  return ($x,$y);
}
### ----------------------------------------------------------------------------
1;